<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

$sortId = 60;

$sightsArray = array();

$longName = 'Kursübersicht der Mitarbeiter';
$tool_id = 61;
$toolName = 'VaKurseDerMitarbeiter';
$toolNameBasis = 'Basis';

$sight = new SightItemTool();
$sight->name = 'Markieren-Dialog';
$sight->id = 'Markieren';
$sight->toolid = $toolNameBasis;
$sight->toolGroup = $toolName;
$sight->showNoData = false;
$sight->group = 'Kursübersicht';
$sight->view = new \Kufer\Web\KuferTools\Ausgaben\Markieren\MarkierenView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Filter-Dialog';
$sight->id = 'FilterKursUebersicht';
$sight->toolid = $toolNameBasis;
$sight->toolGroup = $toolName;
$sight->showNoData = false;
$sight->group = 'Kursübersicht';
$sight->view = new \Kufer\Web\KuferTools\Basis\KursUebersicht\ShowFilterKursUebersicht\ShowFilterKursUebersichtView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Sortieren-Dialog';
$sight->id = 'SortierenDialog';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->showNoData = false;
$sight->group = 'Kursübersicht';
$sight->view = new \Kufer\Web\KuferTools\Basis\KursUebersicht\SortierenDialog\SortierenDialogView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Reiterseite';
$sight->id = 'Reiterseite';
$sight->toolid = $toolNameBasis;
$sight->toolGroup = $toolName;
$sight->showNoData = false;
$sight->showBody = false;
$sight->view = new \Kufer\Web\KuferTools\Basis\Kursdetails\KursDetailsView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Reiter Kursdetails';
$sight->id = 'ReiterKursdetails';
$sight->toolid = $toolNameBasis;
$sight->toolGroup = $toolName;
$sight->view = new \Kufer\Web\KuferTools\Basis\Kursdetails\Detailsreiter\KursDetails\KursDetailsView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Reiter Inhalt';
$sight->id = 'ReiterInfo';
$sight->showNoData = false;
$sight->toolid = $toolNameBasis;
$sight->toolGroup = $toolName;
$sight->view = new \Kufer\Web\KuferTools\Basis\Kursdetails\Detailsreiter\Info\InfoView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Reiter Termine';
$sight->id = 'ReiterTermine';
$sight->toolid = $toolNameBasis;
$sight->toolGroup = $toolName;
$sight->showBody = false;
$sight->group = 'Reiter Termine';
$sight->view = new \Kufer\Web\KuferTools\Basis\Kursdetails\Detailsreiter\Termine\TerminReiterView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Termin';
$sight->id = 'Termine';
$sight->toolid = $toolNameBasis;
$sight->toolGroup = $toolName;
$sight->group = 'Reiter Termine';
$sight->nameHeader = 'Checkbox Beschriftung';
$sight->nameBody = 'Zusätzlicher Zeileninhalt';
$sight->nameFooter = 'Checkbox Attribute';
$sight->view = new \Kufer\Web\KuferTools\Basis\Kursdetails\Detailsreiter\Termine\TerminRowView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Filter Termine';
$sight->id = 'FilterTermine';
$sight->toolid = $toolNameBasis;
$sight->toolGroup = $toolName;
$sight->showNoData = false;
$sight->group = 'Reiter Termine';
$sight->view = new \Kufer\Web\KuferTools\Basis\Kursdetails\Detailsreiter\Termine\ShowFilterTermine\ShowFilterTermineView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Reiter Downloads';
$sight->id = 'ReiterDownloads';
$sight->toolid = $toolNameBasis;
$sight->toolGroup = $toolName;
$sight->showBody = false;
$sight->group = 'Reiter Downloads';
$sight->view = new \Kufer\Web\KuferTools\Basis\Kursdetails\Detailsreiter\Downloads\DownloadReiterView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Downloads';
$sight->id = 'Downloads';
$sight->toolid = $toolNameBasis;
$sight->toolGroup = $toolName;
$sight->group = 'Reiter Downloads';
$sight->view = new \Kufer\Web\KuferTools\Basis\Kursdetails\Detailsreiter\Downloads\DownloadView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Reiter Fotos';
$sight->id = 'ReiterFotos';
$sight->toolid = $toolNameBasis;
$sight->toolGroup = $toolName;
$sight->view = new \Kufer\Web\KuferTools\Basis\Kursdetails\Detailsreiter\Fotos\FotosView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Feedbackformular';
$sight->id = 'Feedbackformular';
$sight->toolid = $toolNameBasis;
$sight->toolGroup = $toolName;
$sight->showNoData = false;
$sight->group = 'Feedbackformular';
$sight->view = new \Kufer\Web\KuferTools\Ausgaben\Feedback\FeedbackFormularView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Feedback versandt';
$sight->id = 'FeedbackVersendet';
$sight->toolid = $toolNameBasis;
$sight->toolGroup = $toolName;
$sight->nameNoColumn = 'Fehlermeldungen';
$sight->showNoColumn = true;
$sight->showNoData = false;
$sight->group = 'Feedbackformular';
$sight->view = new \Kufer\Web\KuferTools\Basis\KursDetails\Feedback\SendFeedbackView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Info an Dozent Formular';
$sight->id = 'InfoAnDoz';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->group = 'Info an Dozent';
$sight->view = new \Kufer\Web\KuferTools\Veranstalter\KursUebersichtDerMitarbeiter\KursUebersicht\Detailsreiter\InfoAnDoz\InfoAnDozView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Info an Dozent versandt';
$sight->id = 'InfoAnDozVersandt';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->showNoColumn = true;
$sight->group = 'Info an Dozent';
$sight->nameNoColumn = 'Fehlermeldungen';
$sight->view = new \Kufer\Web\KuferTools\Veranstalter\KursUebersichtDerMitarbeiter\KursUebersicht\Detailsreiter\InfoAnDoz\SendInfoAnDozView(null);
array_push($sightsArray, $sight);